FROM laylatichy/nano-php-xdebug:2023-12-03 AS app

# |--------------------------------------------------------------------------
# | set env
# |--------------------------------------------------------------------------
ENV USER=application
ENV UID=1000
ENV GID=1000
ENV WORKDIR=/app
ENV MODE='dev'
ENV VERSION='dev'
ENV PHP_IDE_CONFIG="serverName=docker"

# |--------------------------------------------------------------------------
# | copy configs
# |--------------------------------------------------------------------------
COPY ./.docker/xdebug.ini /usr/local/etc/php/conf.d/docker-php-ext-xdebug.ini

# |--------------------------------------------------------------------------
# | create app workdir
# |--------------------------------------------------------------------------
RUN mkdir -p "$WORKDIR"

WORKDIR "$WORKDIR/public"

# |--------------------------------------------------------------------------
# | expose the port app is reachable on
# |--------------------------------------------------------------------------
EXPOSE 3000

# |--------------------------------------------------------------------------
# | start the app
# |--------------------------------------------------------------------------
CMD ["php", "index.php", "start"]

# |--------------------------------------------------------------------------
# | configure a healthcheck to validate that everything is up&running
# |--------------------------------------------------------------------------
HEALTHCHECK --interval=30s --timeout=5s CMD curl -fail http://127.0.0.1:3000 || exit 1
